Loading...
Searching...
No Matches
sdbus::ManagedObject_adaptor Class Reference

Managed Object Convenience Adaptor. More...

`#include <StandardInterfaces.h>`

## Public Member Functions

| ManagedObject_adaptor (const ManagedObject_adaptor &)=delete
ManagedObject_adaptor & | operator= (const ManagedObject_adaptor &)=delete
| ManagedObject_adaptor (ManagedObject_adaptor &&)=delete
ManagedObject_adaptor & | operator= (ManagedObject_adaptor &&)=delete
void | emitInterfacesAddedSignal ()
| Emits InterfacesAdded signal for this object path.
void | emitInterfacesAddedSignal (const std::vector< InterfaceName > &interfaces)
| Emits InterfacesAdded signal for this object path.
void | emitInterfacesRemovedSignal ()
| Emits InterfacesRemoved signal for this object path.
void | emitInterfacesRemovedSignal (const std::vector< InterfaceName > &interfaces)
| Emits InterfacesRemoved signal for this object path.

## Protected Member Functions

| ManagedObject_adaptor (IObject &object)
void | registerAdaptor ()

## Detailed Description

Managed Object Convenience Adaptor.

Adding this class as Interfaces.. template parameter of class AdaptorInterfaces will extend the resulting object adaptor with emitInterfacesAddedSignal()/emitInterfacesRemovedSignal() according to org.freedesktop.DBus.ObjectManager.InterfacesAdded/.InterfacesRemoved.

Note that objects which implement this adaptor require an object manager (e.g., via ObjectManager_adaptor) to be instantiated on one of its parent object paths or the same path. InterfacesAdded/InterfacesRemoved signals are sent from the closest object manager at either the same path or the closest parent path of an object.

## Member Function Documentation

## emitInterfacesAddedSignal() [1/2]

void sdbus::ManagedObject_adaptor::emitInterfacesAddedSignal | ( |  | ) |

inline

Emits InterfacesAdded signal for this object path.

See IObject::emitInterfacesAddedSignal().

## emitInterfacesAddedSignal() [2/2]

void sdbus::ManagedObject_adaptor::emitInterfacesAddedSignal | ( | const std::vector< InterfaceName > & | interfaces | ) |

inline

Emits InterfacesAdded signal for this object path.

See IObject::emitInterfacesAddedSignal().

## emitInterfacesRemovedSignal() [1/2]

void sdbus::ManagedObject_adaptor::emitInterfacesRemovedSignal | ( |  | ) |

inline

Emits InterfacesRemoved signal for this object path.

See IObject::emitInterfacesRemovedSignal().

## emitInterfacesRemovedSignal() [2/2]

void sdbus::ManagedObject_adaptor::emitInterfacesRemovedSignal | ( | const std::vector< InterfaceName > & | interfaces | ) |

inline

Emits InterfacesRemoved signal for this object path.

See IObject::emitInterfacesRemovedSignal().

The documentation for this class was generated from the following file:

- include/sdbus-c++/StandardInterfaces.h